const createTunnel = require('../').createTunnel;
const Client = require('./lib/client').Client;


const tunnelOptions = {
    autoClose: true
}

const serverOptions = {
    address: '127.0.0.1',
    port: 27017
}

const sshOptions = {
    host: 'localhost',
    port: 2222,
    username: 'username',
    password: 'password'
};

const forwardOptions = [{
    srcPort: 3000,
    srcAddr: 'localhost',
    dstPort: 3000,
    dstAddr: 'node_container'
}]



async function runTest() {

    try {
        let [server, connection] = await createTunnel(tunnelOptions, serverOptions, sshOptions, forwardOptions);
        server[0].on('connection', async () => {
            console.log('new connection');
        })
        let client = new Client(3000, 'localhost');
        await client.connect();
        let respose = await client.writeAndRead('hello');
        console.log(respose);
        await client.close();


    } catch (e) {
        console.log('catched error', e);
    }
}

runTest();